

        
        html{
    scroll-behavior:smooth;
}
*{
            margin:0;
            padding:0;
            box-sizing:border-box;
        }
        .navbar{
    background:rgba(10,102,194,0.95);
    backdrop-filter:blur(10px);
    
    padding:18px 40px;
    display:flex;
    justify-content:space-between;
    align-items:center;

    position:sticky;
    top:0;
    z-index:1000;

    box-shadow:0 2px 10px rgba(0,0,0,0.15);
}
.menu-toggle{
    display:none;
    font-size:32px;
    color:white;
    cursor:pointer;
}
     
.logo img{
    height:70px;
}

.nav-links{
    list-style:none;
    display:flex;
    gap:20px;
}

.nav-links a{
    color:white;
    text-decoration:none;
    font-size:18px;
    font-weight:600;
    transition:0.3s;
    position:relative;
}
.nav-links a:hover{
    color:#dbeafe;
}

.nav-links a::after{
    content:"";
    position:absolute;
    left:0;
    bottom:-5px;
    width:0;
    height:2px;
    background:#0A66C2;
    transition:0.3s;
}

.nav-links a:hover::after{
    width:100%;
}

        

        /* Hero Section */

.hero{
    position:relative;
    height:90vh;
    overflow:hidden;
}

.slide{
    position:absolute;
    width:100%;
    height:100%;
    top:0;
    left:0;
    opacity:0;
    transition:opacity 1s ease-in-out;

    background-size:cover;
    background-position:center;
}

.slide:nth-child(1){
    background-image:url("scientist.png");
}

.slide:nth-child(2){
    background-image:url("lab.jpg");
}

.slide:nth-child(3){
    background-image:url("maxi.jpg");
}

.slide.active{
    opacity:1;
}

.hero-content{
    position:absolute;
    top:50%;
    left:50%;
    transform:translate(-50%,-50%);
    z-index:10;

    background:rgba(0,0,0,0.60);
    backdrop-filter:blur(5px);
    padding:50px;
    border-radius:15px;
    text-align:center;
    color:white;
    max-width:700px;
    box-shadow:0 10px 30px rgba(0,0,0,0.3);
}
.hero-content button{
    background:#0A66C2;
    color:white;
    border:none;
    padding:15px 35px;
    font-size:18px;
    border-radius:50px;
    cursor:pointer;
    transition:0.3s;
}

.hero-content button:hover{
    background:#084c94;
    transform:translateY(-3px);
}
/* About Section */

.about{
    padding:80px 10%;
    display:flex;
    align-items:center;
    gap:60px;
    background:#f8fafc;
}

.about-image{
    flex:1;
}

.about-image img{
    width:100%;
    border-radius:15px;
}

.about-content{
    flex:1;
}

.about-content h2{
    color:#0A66C2;
    font-size:40px;
    margin-bottom:20px;
}

.about-content p{
    font-size:18px;
    line-height:1.8;
    color:#475569;
    margin-bottom:15px;
}
.products{
    padding:80px 10%;
    background:#f8fafc;
}

.products h2{
    text-align:center;
    font-size:40px;
    color:#0A66C2;
    margin-bottom:50px;
}

.product-container{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(280px,1fr));
    gap:30px;
}

.product-card{
    background:white;
    overflow:hidden;
    border:2px solid #0A66C2;
    border-radius:15px;
    box-shadow:0 4px 15px rgba(0,0,0,0.08);
    transition:0.3s;
    overflow:hidden;
    display:flex;
    flex-direction:column;
}

.product-card:hover{
     border-color:#0A66C2;
    transform:translateY(-8px);
}

.product-card img{
    width:100%;
    height:220px;
    object-fit:cover;
}

.product-card h3{
    color:#0A66C2;
    padding:20px 20px 10px;
}

.product-card p{
    padding:0 20px 20px;
    color:#555;
}
.product-card img{
    width:100%;
    height:180px;
    object-fit:cover;
    transition:0.4s;
}
.product-card:hover img{
    transform:scale(1.05);
}
.product-card:hover{
    transform:translateY(-8px);
}

.product-card{
    cursor:pointer;
}

.product-card.active{
    transform:scale(1.05);
    border:2px solid #0A66C2;
    box-shadow:0 10px 30px rgba(10,102,194,0.3);
}
.product-card{
    cursor:pointer;
}
/* Why Choose Us */
.why-choose h2{
    display:inline-block;
  
    color:#0A66C2;
    padding:15px 35px;
    border-radius:10px;
    margin-bottom:50px;
}

.why-choose{
    padding:80px 10%;
    background:white;
    text-align:center;
}
u{
    text-decoration-color:#2e2f80;
}



.choose-container{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(300px,1fr));
    gap:30px;
}
.choose-card{
    background:linear-gradient(135deg,#0A66C2,#084c94);
    color:white;
    padding:30px;
    border-radius:15px;
    transition:0.3s;
    box-shadow:0 5px 20px rgba(10,102,194,0.2);
}
.choose-card h3{
    color:white;
    margin-bottom:15px;
    font-size:22px;
}

.choose-card p{
    color:#f1f5f9;
    line-height:1.7;
}


.choose-card:hover{
    transform:translateY(-10px);
    box-shadow:0 12px 30px rgba(10,102,194,0.35);
}
/* Contact Section */

.contact{
    padding:80px 10%;
    background:#f8fafc;
}

.contact h2{
    text-align:center;
    background:#0A66C2;
    color:white;
    display:inline-block;
    padding:15px 35px;
    border-radius:10px;
    margin-bottom:50px;
}

.contact{
    text-align:center;
}

.contact-container{
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:40px;
    margin-top:30px;
}

.info-card{
    background:white;
    padding:25px;
    border-radius:15px;
    margin-bottom:20px;
    border:1px solid #dbeafe;
}

.info-card h3{
    color:#0A66C2;
    margin-bottom:10px;
}



.footer{
    background:#0A66C2;
    color:white;
    padding-top:60px;
}

.footer-container{
    width:90%;
    margin:auto;

    display:grid;
    grid-template-columns:2fr 1fr 1fr;
    gap:50px;

    padding-bottom:40px;
}

.footer-about img{
    width:100px;
    margin-bottom:20px;
    background:white;
    padding:8px;
    
}
.footer-about h3{
    color:#FFFFFF;
    font-size:28px;
    font-weight:700;
    margin-bottom:15px;
    letter-spacing:1px;
}
.footer-about p{
    color:#E2E8F0;
    line-height:1.8;
    font-size:16px;
}



.footer-links{
    display:flex;
    flex-direction:column;
}
.footer-links h3,
.footer-contact h3{
    color:#FFFFFF;
    font-size:22px;
    margin-bottom:20px;
}
.footer-links a{
    color:#E2E8F0;
    text-decoration:none;
    margin-bottom:12px;
    transition:0.3s;
}

.footer-links a:hover{
    color:#FFFFFF;
    padding-left:8px;
}

.footer-contact p{
    color:#E2E8F0;
    margin-bottom:12px;
    line-height:1.8;
}
.footer-bottom{
    text-align:center;
    padding:20px;

    border-top:1px solid rgba(255,255,255,0.3);
}
.footer-bottom p{
    color:#CBD5E1;
    font-size:14px;
}

    .hero-content h1{
        font-size:35px;
    }

@media(max-width:768px){

    /* Navbar */

.navbar{
    padding:10px 20px;
    display:flex;
    justify-content:space-between;
    align-items:center;
}

.logo img{
    height:55px;
}

.menu-toggle{
    display:block;
    font-size:28px;
    color:white;
    cursor:pointer;
}

.nav-links{
    display:none;
    width:100%;
    flex-direction:column;
    text-align:center;
    gap:15px;
    margin-top:15px;
}

.nav-links.active{
    display:flex;
}

.nav-links a{
    font-size:17px;
    padding:10px 0;
}

}

    
    .hero{
        height:80vh;
    }

    .hero-content{
        width:90%;
        padding:25px;
    }

    .hero-content h1{
        font-size:35px;
    }

    .hero-content p{
        font-size:17px;
    }

    /* About */

    .about{
        flex-direction:column;
        text-align:center;
    }

    .about img{
        width:100%;
        max-width:400px;
    }

    /* Products */

    .product-container{
        grid-template-columns:1fr;
    }

    /* Why Choose Us */

    .choose-container{
        grid-template-columns:1fr;
    }

    /* Footer */

    .footer-container{
        grid-template-columns:1fr;
        text-align:center;
    }

    .footer-links{
        align-items:center;
    }
    
    .footer-logo img{
        width:90px;
        border:none;
    }


.nav-links a{
    color:#1e293b;
    text-decoration:none;
    font-size:17px;
    font-weight:600;
    transition:0.3s;
    position:relative;
    padding:8px 0;
}

.nav-links a:hover{
    color:#0A66C2;
}

.nav-links a::after{
    content:"";
    position:absolute;
    left:0;
    bottom:0;
    width:0;
    height:3px;
    background:#0A66C2;
    transition:0.3s;
    border-radius:5px;
}

.nav-links a:hover::after{
    width:100%;
}
.hero-content button{
    background:#0A66C2;
    color:white;
    border:none;
    padding:15px 35px;
    font-size:18px;
    border-radius:50px;
    cursor:pointer;
    transition:0.3s;
}

.hero-content button:hover{
    background:#084c94;
    transform:translateY(-3px);
}
/* Scroll Animation */

.hidden{
    opacity:0;
    transform:translateY(50px);
    transition:all 0.8s ease;
}

.show{
    opacity:1;
    transform:translateY(0);
}

/* Delay Animation */

.product-card,
.choose-card{
    opacity:0;
    transform:translateY(40px);
    transition:all 0.7s ease;
}

.product-card.show,
.choose-card.show{
    opacity:1;
    transform:translateY(0);
}